Skip to main content
GET
/
accounting
/
contacts
Get All Contacts
curl --request GET \
  --url https://api.rootfi.dev/v3/accounting/contacts \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/accounting/contacts"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/accounting/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 238858,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-24T11:11:59.779Z",
      "rootfi_updated_at": "2024-01-24T11:11:59.000Z",
      "rootfi_company_id": 1109,
      "platform_id": "123456_1",
      "platform_unique_id": "123456",
      "currency_id": "00000000-0000-0000-0000-000000000000",
      "name": "fguvkhg",
      "contact_name": null,
      "contact_type": "CUSTOMER",
      "tax_number": null,
      "registration_number": null,
      "status": null,
      "updated_at": "2023-12-26T00:00:00.000Z",
      "external_links": [
        {
          "rootfi_id": 278264,
          "platform_id": "CONTACTS_1af68894-ea9f-ee11-be36-7c1e520f50bc_WEBSITE",
          "link": "https://www.google.com",
          "type": "WEBSITE"
        }
      ],
      "phone_numbers": [
        {
          "rootfi_id": 278264,
          "platform_id": "CONTACTS_1af68894-ea9f-ee11-be36-7c1e520f50bc_PHONE",
          "number": "1234567890",
          "type": "MOBILE"
        }
      ],
      "addresses": [
        {
          "rootfi_id": 278264,
          "platform_id": "CONTACTS_1af68894-ea9f-ee11-be36-7c1e520f50bc_ADDRESS",
          "street": "123 Main Street",
          "locality": "Main Street",
          "city": "New York",
          "state": "New York",
          "pincode": "123456",
          "country": "USA"
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
A contact is an individual or company that buys or sells goods or services from a business. Commonly referred to a customer on a corresponding invoice or a vendor for a bill

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of objects you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

expand
string | null

Comma separated fields to expand. Supported values are currency, phone_numbers, addresses, external_links, invoices, bills, invoice_payments, bill_payments, expenses, purchase_orders, sales_orders, bank_transactions

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

data
accountingContactObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects